/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.jclouds.abiquo.reference.rest;

/**
 * Names of the "rel" attribute of the links that point to parent objects.
 * 
 * @author Francesc Montserrat
 */
public class ParentLinkName {
   public static final String RACK = "rack";

   public static final String DATACENTER = "datacenter";

   public static final String ENTERPRISE = "enterprise";

   public static final String ROLE = "role";

   public static final String TIER = "tier";

   public static final String STORAGE_DEVICE = "device";

   public static final String VIRTUAL_DATACENTER = "virtualdatacenter";

   public static final String VIRTUAL_APPLIANCE = "virtualappliance";

   public static final String VIRTUAL_MACHINE_TEMPLATE = "virtualmachinetemplate";

   public static final String DATACENTER_REPOSITORY = "datacenterrepository";

   public static final String COST_CODE = "costcode";

   public static final String CATEGORY = "category";

   public static final String ICON = "icon";

   public static final String PRIVATE_NETWORK = "privatenetwork";

   public static final String PUBLIC_NETWORK = "publicnetwork";

   public static final String EXTERNAL_NETWORK = "externalnetwork";

   public static final String UNMANAGED_NETWORK = "unmanagednetwork";

   public static final String NETWORK_CONFIGURATIONS = "configurations";

   public static final String NETWORK_GATEWAY = "network_configuration";
}
